<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yifu.cloud.plus.v1.yifu.social.mapper.TFundPreDetailMapper">

  <resultMap id="tFundPreDetailMap" type="com.yifu.cloud.plus.v1.yifu.social.entity.TFundPreDetail">
    <id property="id" column="ID"/>
    <result property="fundProvince" column="FUND_PROVINCE"/>
    <result property="fundCity" column="FUND_CITY"/>
    <result property="fundTown" column="FUND_TOWN"/>
    <result property="deptName" column="DEPT_NAME"/>
    <result property="deptNo" column="DEPT_NO"/>
    <result property="fundHouseholdName" column="FUND_HOUSEHOLD_NAME"/>
    <result property="registerId" column="REGISTER_ID"/>
    <result property="createBy" column="CREATE_BY"/>
    <result property="updateBy" column="UPDATE_BY"/>
    <result property="createName" column="CREATE_NAME"/>
    <result property="updateTime" column="UPDATE_TIME"/>
    <result property="createTime" column="CREATE_TIME"/>
    <result property="dispatchName" column="DISPATCH_NAME"/>
    <result property="dispatchTime" column="DISPATCH_TIME"/>
	<result property="unitProvidentPer" column="UNIT_PROVIDENT_PER"/>
	<result property="personalProvidentPer" column="PERSONAL_PROVIDENT_PER"/>
	<result property="providentCardinal" column="UNIT_PROVIDENG_CARDINAL"/>
  </resultMap>

    <sql id="Base_Column_List">
                a.ID,
                a.FUND_PROVINCE,
                a.FUND_CITY,
                a.FUND_TOWN,
                a.DEPT_NAME,
                a.DEPT_NO,
                a.FUND_HOUSEHOLD_NAME,
                a.REGISTER_ID,
                a.CREATE_BY,
                a.UPDATE_BY,
                a.CREATE_NAME,
                a.UPDATE_TIME,
                a.CREATE_TIME,
                a.DISPATCH_NAME,
                a.DISPATCH_TIME,
				a.UNIT_PROVIDENT_PER,
				a.PERSONAL_PROVIDENT_PER,
				a.UNIT_PROVIDENG_CARDINAL
    </sql>
    <sql id="tFundPreDetail_where">
        <if test="tFUNDPreDetail != null">
                    <if test="tFUNDPreDetail.id != null and tFUNDPreDetail.id.trim() != ''">
                        AND a.ID = #{tFUNDPreDetail.id}
                    </if>
                    <if test="tFUNDPreDetail.FUNDProvince != null and tFUNDPreDetail.FUNDProvince.trim() != ''">
                        AND a.FUND_PROVINCE = #{tFUNDPreDetail.fundProvince}
                    </if>
                    <if test="tFundPreDetail.fundCity != null and tFundPreDetail.fundCity.trim() != ''">
                        AND a.FUND_CITY = #{tFundPreDetail.fundCity}
                    </if>
                    <if test="tFundPreDetail.fundTown != null and tFundPreDetail.fundTown.trim() != ''">
                        AND a.FUND_TOWN = #{tFundPreDetail.fundTown}
                    </if>
                    <if test="tFundPreDetail.deptName != null and tFundPreDetail.deptName.trim() != ''">
                        AND a.DEPT_NAME = #{tFundPreDetail.deptName}
                    </if>
                    <if test="tFundPreDetail.deptNo != null and tFundPreDetail.deptNo.trim() != ''">
                        AND a.DEPT_NO = #{tFundPreDetail.deptNo}
                    </if>
                    <if test="tFundPreDetail.fundHouseholdName != null and tFundPreDetail.fundHouseholdName.trim() != ''">
                        AND a.FUND_HOUSEHOLD_NAME = #{tFundPreDetail.fundHouseholdName}
                    </if>
                    <if test="tFundPreDetail.registerId != null and tFundPreDetail.registerId.trim() != ''">
                        AND a.REGISTER_ID = #{tFundPreDetail.registerId}
                    </if>
                    <if test="tFundPreDetail.createBy != null and tFundPreDetail.createBy.trim() != ''">
                        AND a.CREATE_BY = #{tFundPreDetail.createBy}
                    </if>
                    <if test="tFundPreDetail.updateBy != null and tFundPreDetail.updateBy.trim() != ''">
                        AND a.UPDATE_BY = #{tFundPreDetail.updateBy}
                    </if>
                    <if test="tFundPreDetail.createName != null and tFundPreDetail.createName.trim() != ''">
                        AND a.CREATE_NAME = #{tFundPreDetail.createName}
                    </if>
                    <if test="tFundPreDetail.updateTime != null">
                        AND a.UPDATE_TIME = #{tFundPreDetail.updateTime}
                    </if>
                    <if test="tFundPreDetail.createTime != null">
                        AND a.CREATE_TIME = #{tFundPreDetail.createTime}
                    </if>
                    <if test="tFundPreDetail.dispatchName != null and tFundPreDetail.dispatchName.trim() != ''">
                        AND a.DISPATCH_NAME = #{tFundPreDetail.dispatchName}
                    </if>
                    <if test="tFundPreDetail.dispatchTime != null">
                        AND a.DISPATCH_TIME = #{tFundPreDetail.dispatchTime}
                    </if>
        </if>
    </sql>
</mapper>
